plugins {
    id 'java'
    id 'idea'
}

tasks.withType(JavaCompile) {
    options.compilerArgs << '-Xlint:none'
    options.compilerArgs << '-Xlint:deprecation' << "-Werror"
}

repositories {
    mavenCentral()
}
project(':backend') {
    group = "org.bdware.sc.example"
    repositories {
        mavenCentral()
        maven { url 'https://maven.aliyun.com/repository/public' }
    }
}
